aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/jenkins.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index eb079a2..3bc49f9 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -1,12 +1,16 @@
#!/bin/sh
+set -e -x
-set -e
-
-cd ~/osmo-ci || (cd ~/ && git clone git://git.osmocom.org/osmo-ci && cd osmo-ci)
+cd ~/osmo-ci || (cd ~/ && git clone git://git.osmocom.org/osmo-ci && cd ~/osmo-ci)
git rev-parse HEAD
git status
-git fetch && git checkout -f -B master origin/master
+git pull origin
git rev-parse HEAD
git status
+
+if [ `uname` = "Linux" ]; then
+ cd docker
+ ./rebuild_osmocom_jenkins_image.sh
+fi